Batteries

Battery system specifications for solar + storage optimization. Used to calculate optimal battery sizing and energy storage capacity. See Self-Sufficiency — Battery Impact and Dynamic vs Fixed — Battery Arbitrage.


GET/v1/batteries

List all batteries

Endpoint for GET /v1/batteries.

Response

Request

GET
/v1/batteries
curl -G https://api.enhub.nl/v1/batteries \
  -H "Authorization: Bearer {token}"

Response

[
  {
    "id": "cm5k2l3m4000008l8a1b2c3d4",
    "name": "Tesla Powerwall 2",
    "minKwh": 13.5,
    "maxKwh": 13.5,
    "minKw": 5,
    "maxKw": 5,
    "rte": 0.9,
    "dod": 0.9,
    "cycles": 10000,
    "emergencyPower": "Full home backup",
    "pricePerKwh": 850,
    "emergencyPowerType": "integrated",
    "createdAt": "2026-01-30T12:00:00.000Z",
    "updatedAt": "2026-01-30T12:00:00.000Z"
  }
]

GET/v1/batteries/:id

Get battery by ID

Endpoint for GET /v1/batteries/{id}.

Path parameters

  • Name
    id
    Type
    string
    Description

    No description available.

Response

Request

GET
/v1/batteries/:id
curl -G https://api.enhub.nl/v1/batteries/{id} \
  -H "Authorization: Bearer {token}"

Response

{
  "id": "cm5k2l3m4000008l8a1b2c3d4",
  "name": "Tesla Powerwall 2",
  "minKwh": 13.5,
  "maxKwh": 13.5,
  "minKw": 5,
  "maxKw": 5,
  "rte": 0.9,
  "dod": 0.9,
  "cycles": 10000,
  "emergencyPower": "Full home backup",
  "pricePerKwh": 850,
  "emergencyPowerType": "integrated",
  "createdAt": "2026-01-30T12:00:00.000Z",
  "updatedAt": "2026-01-30T12:00:00.000Z"
}

Was this page helpful?